tt_message_session_set(library call)

NAME
tt_message_session_set — set the session attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_session_set(
Tt_message m,
const char *sessid);

DESCRIPTION

The tt_message_session_set function sets the session attribute for the specified message.

The m argument is the opaque handle for the message involved in this operation. The sessid argument is the identifier of the session in which the process is interested.

RETURN VALUE

Upon successful completion, the tt_message_session_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).